import { ColouredLine } from "./ColouredLine";
export declare class ColouredText {
    lines: ColouredLine[];
    get textArray(): string[];
    get text(): string;
    get html(): DocumentFragment;
    get htmlString(): string;
    constructor(arg: ColouredLine[]);
    constructor(arg: string[]);
    constructor(arg: string);
}
